﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SetNullTextToXamDateTimeEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Item> items = new ObservableCollection<Item>();
            items.Add(new Item() { Id = 10000 , OrderDate=null});
            for(int i=0;i<10;i++)
                items.Add(new Item(){Id=i, OrderDate=DateTime.Now.AddDays(i)});
            xdg.DataSource = items;
        }
    }

    public class Item
    {
        public int Id { set; get;}
        public DateTime? OrderDate { set; get; }
    }
}
